HTTPRequestContext
Details of the current HTTP request. Deprecated, use context.params, context.headers etc. in Liquid
type HTTPRequestContext {
authentication_providers: [AuthenticationProvider]
body: String
current_full_path: String!
current_path: String!
current_url: String!
flash: FlashMessages
form_authenticity_token: String!
headers: HeadersObject!
is_xhr: Boolean
params: ParamsObject!
params_unfiltered: HashObject!
referer: String
}
Fields
authentication_providers (AuthenticationProvider)
Authentication providers configured for the instance
body (String)
Raw request body
current_full_path (String)
Path of the request including the query string, e.g. /foo?bar
current_path (String)
Path of the request, without the query string
current_url (String)
Full URL of the request, e.g. "http://www.example.com/articles?page=2"
flash (FlashMessages)
Flash messages of the current request
form_authenticity_token (String)
CSRF token to include in HTML forms and requests sent by the current session
headers (HeadersObject)
Access request headers
is_xhr (Boolean)
True when the X-Requested-With header contains XMLHttpRequest (case
insensitive); some JavaScript libraries do not send it automatically
params (ParamsObject)
Access data sent in by the user or other parameters in your controller actions
params_unfiltered (HashObject)
Request parameters
referer (String)
The referer of the client